//
//  DisableSwipeGesture.m
//  DisableSwipeGesture
//
//  Created by Alexandre Colucci on 10/05/16.
//  Copyright © 2016 Timac. All rights reserved.
//

#import "DisableSwipeGesture.h"

#import <objc/objc-runtime.h>
#import <AppKit/AppKit.h>

// Expose the private API to avoid a warning
@interface NSTableView ()
- (BOOL)_allowSwipeToDeleteForEvent:(id)event;
@end



@implementation DisableSwipeGesture

+ (void)load
{
	//NSLog(@"**** DisableSwipeGesture loaded");
	
	// Replace the method -[NSTableView _allowSwipeToDeleteForEvent:] with the method -[DisableSwipeGesture override_allowSwipeToDeleteForEvent:]
	Class originalClass = NSClassFromString(@"NSTableView");
	Method originalMeth = class_getInstanceMethod(originalClass, @selector(_allowSwipeToDeleteForEvent:));
	
	Method replacementMeth = class_getInstanceMethod(NSClassFromString(@"DisableSwipeGesture"), @selector(override_allowSwipeToDeleteForEvent:));
	method_exchangeImplementations(originalMeth, replacementMeth);
}

- (BOOL)override_allowSwipeToDeleteForEvent:(id)event
{
	//NSLog(@"**** DisableSwipeGesture CALLED");
	return NO;
}

@end
